Download a media file
curl --request GET \
--url https://v1.api.altostrat.io/metadata/{siteId}/media/{mediaId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://v1.api.altostrat.io/metadata/{siteId}/media/{mediaId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v1.api.altostrat.io/metadata/{siteId}/media/{mediaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Site Files
Download a media file
Downloads a specific media file associated with a site.
GET
/
metadata
/
{siteId}
/
media
/
{mediaId}
Download a media file
Authorizations
A bearer token is required for all API requests.
Path Parameters
The unique identifier for the site.
The unique identifier (key) for the media file.
Response
The binary content of the media file.
The response is of type file.
Was this page helpful?
⌘I